from fastapi import Request
from folkugat_web.api.router import get_router
from folkugat_web.fragments import tema
from folkugat_web.services import auth

router = get_router()


@router.get("/api/tema/{tema_id}/editor/title")
def title_editor(
    request: Request,
    logged_in: auth.RequireLogin,
    tema_id: int,
):
    return tema.title_editor(request=request, logged_in=logged_in, tema_id=tema_id)
